# Project: Segmentation

## Context

- Task: Segmentation
- Model: FCN
- Dataset: Pascal VOC (http://host.robots.ox.ac.uk/pascal/VOC/)

## Files provided

- model.py and resnet.py: definition of the model architecture FCNSegmentation
- transforms.py: the preprocessing operations that were used during training
- classes.json: classes with associated indices
- segmentation_weights.pth: the weights after training the model on the PASCAL VOC dataset
  - can be downloaded here: https://people.irisa.fr/Denis.Coquenet/courses/content/M2-DLV/segmentation_weights.pth

## Additional information

- The dataset is accessible through the torchvision class ```torchvision.datasets.VOCSegmentation```


## Reference paper
Jonathan Long, Evan Shelhamer, Trevor Darrell, "Fully Convolutional Networks for Semantic Segmentation", CVPR 2015.

Paper: https://arxiv.org/abs/1411.4038